APT.createNamespace("application");

//  AppDelegate.h
//  Accelerometer
//  Created by AtomCRT on 4/16/13.
//  Copyright (c) 2013 AtomCRT. All rights reserved.
//  AppDelegate.m
//  Accelerometer
//  Created by AtomCRT on 4/16/13.
//  Copyright (c) 2013 AtomCRT. All rights reserved.
application.AppDelegate = Class.$define("application.AppDelegate", {
    __init__: function() {
        // instance fields
        this._viewController = null;
    },
    
    $copy: function() {
        var copyObject = new application.AppDelegate();
        copyObject._viewController = this._viewController;
        return copyObject;
    },
    
    application_didFinishLaunchingWithOptions: function(_$application, launchOptions) {
        this.setWindow(new APT.Window().initWithFrame(APT.Screen.MainScreen().bounds()));
        // Override point for customization after application launch.
        this.setViewController(new application.ViewController().initWithNibName(new String("ViewController")));
        this.window().setRootViewController(this.viewController());
        this.window().makeKeyAndVisible();
        return true;
    },
    
    applicationWillResignActive: function(_$application) {
    },
    
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
    applicationDidEnterBackground: function(_$application) {
    },
    
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later. 
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
    applicationWillEnterForeground: function(_$application) {
    },
    
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
    applicationDidBecomeActive: function(_$application) {
    },
    
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
    applicationWillTerminate: function(_$application) {
    },
    
    viewController: function() {
        return this._viewController;
    },
    
    setViewController: function(newValue) {
        this._viewController = newValue;
    },
    
});


