/*
 * Copyright(C) 2013 Intel Corporation.  All Rights Reserved.
 */



APT.createNamespace("APT");

APT.Exception = Class.$define("APT.Exception", {
    __init__: function() {
        this._name = null;
        this._reason = null;
        this._userInfo = null;
    },

    $copy: function() {
        var copyObject = new APT.Exception();
        copyObject._name = this._name;
        copyObject._reason = this._reason;
        copyObject._userInfo = this._userInfo;
        return copyObject;
    },

    initWithName_reason_userInfo: function(name, reason, userInfo) {
        this._name = name;
        this._reason = reason;
        this._userInfo = userInfo;
        return this;
    },

    name: function() {
        return this._name;
    },

    reason: function() {
        return this._reason;
    },

    userInfo: function() {
        return this._userInfo;
    },

});


