/*
 * Copyright(C) 2013 Intel Corporation.  All Rights Reserved.
 */



APT.createNamespace("APT");

APT.Touch = Class.$define("APT.Touch", {
    __init__: function(x, y, aView) {
        this.x = 0;
        this.y = 0;
        this._view = null;
        if (arguments.length > 0)
        {
            this.x = x;
            this.y = y;
            this._view = aView;
        }
    },

    $copy: function() {
        var copyObject = new APT.Touch();
        copyObject.x = this.x;
        copyObject.y = this.y;
        copyObject._view = this._view;
        return copyObject;
    },

    locationInView: function() {
        return new APT.Point(this.x, this.y);
    },

    tapCount: function() {
        return 1;
    },

    view: function() {
        return this._view;
    },

});


