/*
 * Copyright(C) 2013 Intel Corporation.  All Rights Reserved.
 */



APT.createNamespace("APT");

APT.URLRequest = Class.$define("APT.URLRequest", {
    __init__: function() {
        this._url = null;
        this._url = document.createElement("a");
    },

    $copy: function() {
        var copyObject = new APT.URLRequest();
        copyObject._url = this._url;
        return copyObject;
    },

    initWithURL: function(aUrl) {
        this._url = aUrl;
        return this;
    },

    url: function() {
        return this._url;
    },

});

APT.URLRequest.requestWithURL = function(aUrl) {
    var urlRequest = new APT.URLRequest();
    urlRequest._url = aUrl;
    return urlRequest;
};


